clear

% problem parameters
m = 100;
n = 50;
sigma = 0.5;
rng(0);

% set up A, x, and b
A = randn(m,n);
xtrue = rand(n,1);
b = A*xtrue + sigma*randn(m,1);
xhat = A \ b;
nA = norm(A);   % store ||A|| to save computation time below

% parameters for lsgd
x0 = zeros(n,1);
numIter = 200;

%% YOUR CODE
% plot ||xhat - xgd|| vs k for various values of mu
%cRange = ??     % TODO(you): Set range of c values
%data = zeros(numIter,length(cRange));

%% You may want to use the below if you format your data like I did
%figure
%hold all
%plot(1:numIter,data(:,1))
%plot(1:numIter,data(:,2))
%plot(1:numIter,data(:,3))
%plot(1:numIter,data(:,4))

%xlabel('iteration number (k)')
%ylabel('$\| \hat{x} - x_{k} \|$','interpreter','latex')

%legend('\mu = 0.1 / ||A||^{2}','\mu = 1 / ||A||^{2}', '\mu = 1.9 / ||A||^{2}','\mu = 2 / ||A||^{2}')
